<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */


namespace Kufer\Web\KuferTools\Veranstalter\KursUebersicht\Detailsreiter\Honorar\DozentenVertrag;

class DozVertragDialogController extends \Kufer\Web\KuferTools\Basis\Controller\ToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new DozVertragDialogUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new DozVertragDialogRequest();
    $requestObj->knr = \GetOperations::getVarValue('knr');
    $requestObj->dozKursId = \GetOperations::getVarValue('dozKursId');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new DozVertragDialogPresenter($pUseCaseResponse);
  }
}